#!/usr/bin/python3
from PyQt5 import QtGui, QtWidgets, QtCore, uic

class Slave(QtCore.QProcess):
    ready = QtCore.pyqtSignal(str)
    error = QtCore.pyqtSignal()

    def __init__(self, parent=None):
        super().__init__()
        self.parent = parent
        self.finished.connect(self._output)

    def _output(self):
        stdout = self.readAllStandardOutput()
        stdout = bytes(stdout).decode("utf8")
        if stdout:
            self.ready.emit(stdout)

    def fetch(self, cmd):
        self.lastCommand = cmd
        self.start(cmd)


def trayEventParser(event):
    if event == QtWidgets.QSystemTrayIcon.Trigger:
        return "left click"

    elif event == QtWidgets.QSystemTrayIcon.MiddleClick:
        return "middle click"

    elif getattr(event, "type", None):
        if event.type() == QtCore.QEvent.Wheel:
            delta = int(event.angleDelta().y())
            if delta > 0:
                return "wheel up"
            else:
                return "wheel down"
    return None
